Bug 61287 - Gateway setting defaults to wrong ip
Gateway setting defaults to wrong ip
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-03-15 20:25 EST by Christian Rose
Modified: 2007-04-18 12:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-03-15 20:25:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Christian Rose 2002-03-15 20:25:23 EST
When I enter network information in anaconda, the "Gateway:" field will always
default to xxx.yyy.zzz.254 in the given network.
Isn't this wrong? All networks I have ever encountered use the first ip address
in the ip range for the gateway, so I think using xxx.yyy.zzz.1 for the gateway
would be a better default in anaconda.
Comment 1 Jeremy Katz 2002-03-16 01:40:00 EST
Not wrong... there is no standard at all, unfortunately  :(
Comment 2 Christian Rose 2002-03-16 06:55:26 EST
On the other hand, most other software installers default to xxx.yyy.zzz.1 for
the gateway as far as I know, so there might be a reason to change the default
in Anaconda so as to not be different on purpose when there's no real standard.

Note You need to log in before you can comment on or make changes to this bug.